The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Create NMS IP at Sensor

Prev Next

This URL creates the NMS user at the Sensor.

Error Information

POST /sensor/<sensor_id> /nmsip

Request Parameters

URL Parameters:

Field Name Description Data Type Mandatory
sensorId Sensor id Number Yes

Payload Parameters:

Field Name Description Data Type Mandatory
NMSIPAddress Contains the NMS IP Object Yes

Details of fields in NMSIPAddress:

Field Name Description Data Type Mandatory
IPAddress NMS IP String Yes

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name Description Data Type
createdResourceId Unique id of the created domain Number

Example

Request

POST https://<NSM_IP>/sdkapi/sensor/1001/nmsip

Payload

 {
       "IPAddress": "1.1.1.1"
    } 

Response

{
       "createdResourceId": 25
} 
 

Error Information

Following error codes are returned by this URL:

No HTTP Error Code SDK API errorId SDK API errorMessage
1 404 1106 Invalid Sensor
2 400 1124 The Sensor is inactive
3 400 5401 FIPS enabled on Sensor
4 400 5601 IP address cannot be empty
5 400 5602 Same IP already exists in Sensor
6 400 5603 Same IP already exists in domain
7 400 5604 Maximum IP addresses allowed exceeded
8 400 5605 Maximum IPv6 addresses allowed exceeded
9 400 5606 Maximum IPv4 addresses allowed exceeded
10 400 5607 IP address not present in this domain
11 400 1406 Invalid IP format